Version française
Home     About     Download     Resources     Contact us    
Browse thread
[Caml-list] lacaml and redhat 8.0
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Markus Mottl <markus@o...>
Subject: Re: [Caml-list] lacaml and redhat 8.0
On Fri, 17 Jan 2003, Yaron M. Minsky wrote:
> Has anyone had any luck installing lacaml on RH 8.0?   I've been trying to
> install using the stock LAPACK, BLAS and F2C, and have been running into
> trouble.  First of all, RH 8.0 doesn't include libf2c.a --- it only
> include libg2c, and then only the .so version, not the .a version.  I
> tried linking against the libg2c.a supplied in the g77-compat library, and
> it seemed to work.  But then when I tried actually using lacaml, I hit
> this:
[snip]
> # #require "lacaml";;
> Loading /usr/lib/ocaml/bigarray.cma
> Loading /usr/lib/ocaml/site-lib/lacaml/lacaml.cma
> The external function `lacaml_Sssqr_diff_wrapper_bc' is not available

That's easily explained: Lacaml requires static linking of the
C-libraries, because it has to fiddle around with objects contained in
them, which isn't possible with shared libraries. Thus, you will have to
build a custom toplevel that is (implicitly) linked against the modified
static libraries:

  ocamlfind ocamlmktop -o mytop -package lacaml bigarray.cma lacaml.cma

Executing this custom toplevel (it's _huge_!) and typing in your code
should work without problems...

Regards,
Markus Mottl

-- 
Markus Mottl                                             markus@oefai.at
Austrian Research Institute
for Artificial Intelligence                  http://www.oefai.at/~markus
-------------------
To unsubscribe, mail caml-list-request@inria.fr Archives: http://caml.inria.fr
Bug reports: http://caml.inria.fr/bin/caml-bugs FAQ: http://caml.inria.fr/FAQ/
Beginner's list: http://groups.yahoo.com/group/ocaml_beginners